<!--
title: Arrays
description: Folien für Arrays in Programmieren 1
url: https://git.haw-hamburg.de/pm1-tutorium/slides
header: Programmieren 1 **Tutorium**
footer: Henri Burau und Eva Meinen
-->

# Arrays

```java
int[] array1 = new int[5];

int[] array2 = {1, 2, 3, 4, 5};
```

Array-Elemente werden über Index angesprochen, beginnend bei 0;

```java
for(int i = 0; i < array1.length ; i++){
	array1[i] = i;
}
```

---

![bg 80%](https://git.haw-hamburg.de/pm1-tutorium/slides/-/raw/master/img/array.svg)

---
## Mehrdimensionale Arrays

![bg right:61% 100%](https://git.haw-hamburg.de/pm1-tutorium/slides/-/raw/master/img/arrays2.PNG)


* m[0][0][0]
* m[1][2][5]
* m[1][3]

---
## Aufgaben

1) Implementiere die Methode `public int product(int[] values)`, die das Produkt (Ergebnis einer Multiplikation) zurück gibt.

2) Implementiere die Methode `public void sort5(int[] values)`, welche zuerst alle Werte die kleiner 5 und dann alle Werte >= 5 auf der Konsole ausgibt.
 
3) Implementiere die Methode `public int[] min(int[] values)`, welche die zwei kleinsten Werte in einem Array zurück gibt.

4) Implementiere eine Methode `public int[][] turnArray(int[][] values)`, welche ein übergebenes zweidimensionales Array umdrehen z.B. `[{1, 2, 3}, {4, 5, 6}]` &rarr; `[{6, 5, 4}, {3, 2, 1}]`.

5) Aufgabe Sieb des Eratosthenes aus der VL (wer dies noch nicht bearbeitet hat).
